@import url('https://fonts.googleapis.com/css2?family=Courgette&family=Give+You+Glory&family=Open+Sans:wght@300&family=Oregano:ital@0;1&family=Press+Start+2P&family=Titillium+Web:wght@600&Poppins:wght@200;300;400;500;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    display: flex;
}

header {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    position: fixed;
}

main {
    flex-grow: 1;
    overflow: hidden;
    min-height: 2em;
}

footer {
    display: flex;
    flex-shrink: 0;
    position: fixed;
    bottom: 0;
    left: 0;
}

section {
    min-height: 100vh;
    background-color: aliceblue;
    display: flex;
    justify-content: center;
}

.section-container {
    margin-top: 20%;
}

#map {
    margin-bottom: 100px;
}

.header-container {
    background: linear-gradient(to top, #1010fe 0%, #27cb58 100%);
    color: white;
    padding: 10px 0;
    text-align: center;
    border: 1px solid black;
    display: flex;
}

.header-section {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    margin: 5px 20px;
    padding: 5px 20px;
}

#welcome {
    font-family: "Press Start 2P", system-ui;
    font-size: 1.2em;
    margin: 5px;
    padding: 15px;
}

.title-container {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-direction: column;
}

.title-container #scottys {
    font-family: "Give You Glory", cursive;
    color: #27cb58;
    font-size: 4em;
    font-weight: 900;
    transform: skew(-18deg, 2deg);
    display: flex;
    position: relative;
    text-shadow: #060606 2px 3px;
}

.title-container #game-hall {
    font-family: "Titillium Web", sans-serif;
    color: rgb(241, 10, 10);
    text-shadow: #000 1px 1px;
    margin: -29px -87px 0 0;
    z-index: 1;
    background: rgba(142, 137, 137, 0.8);
    padding: 0px 3px;
    border-radius: 5px;
    border: 1px solid #000;
    font-weight: 600;
}

.nav-container {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-direction: column;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

nav ul li {
    display: inline;
    margin: 0 15px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-family: "Titillium Web", sans-serif;
}

section {
    padding: 20px;
}

.coming-soon-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

#coming-soon {
    margin-left: 15px;
    font-size: 70px;
    line-height: 70px;
    overflow: hidden;
}

#coming-soon li {
    list-style: none;
    color: #FC6D6D;
    font-size: 70px;
    font-weight: 500;
    position: relative;
    top: 0;
    animation: slide 6s steps(2) infinite;
}

@keyframes slide {
    100% {
        top: -360px;
    }
}

#coming-soon li span {
    position: relative;
    margin: 5px 0;
    line-height: 80px;
}

#coming-soon li span::after {
    content: "";
    position: absolute;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: aliceblue;
    border-left: 2px solid #FC6D6D;
    animation: typing 3s steps(10) infinite;
}

@keyframes typing {

    40%,
    60% {
        left: calc(100% + 30px);
    }

    100% {
        left: 0;
    }
}

#bio {
    margin-top: 250px;
    font-size: 10px;
}

#home {
    display: flex;
}

#googleMap {
    width: 100%;
    height: 400px;
}

.footer-container {
    background: linear-gradient(to top, #1010fe 0%, #27cb58 100%);
    color: white;
    text-align: center;
    padding: 10px 0;
    bottom: 0;
    width: 100vw;
}

@media screen and (max-width: 480px) {
    #welcome {
        font-size: 1em;
        margin: 0;
        padding: 0;
    }

    .section-container {
        margin-top: 60%;
    }

    .header-container {
        display: block;
        padding: none;
    }

    .header-section {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin: none;
        margin-top: -10px;
    }

    .title-container {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .title-container #scottys {
        font-size: 3em;
        margin: 0;
        padding: 0;
    }

    .title-container #game-hall {
        margin: 0 10px;
        z-index: 0;
        background-color: #0000;
        border: none;
    }

    #welcome {
        display: none;
    }

    .nav-menu {
        background-color: rgba(34, 37, 49, .8);
        height: 100vh;
        width: 100%;
        position: fixed;
        top: 0;
        right: -480px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: left;
        font-size: 2rem;
        transition: .3s ease;
    }

    .nav-menu.active {
        right: 0;
    }

    nav {
        padding: 1rem;
        display: flex;
        background-color: #0000;
    }

    nav ul li {
        display: flex;
        margin: 0;
    }

    .hamburger {
        height: 50px;
        width: 40px;
        margin-left: auto;
        position: relative;
    }

    .hamburger span {
        height: 5px;
        width: 100%;
        background-color: #6F86FF;
        border-radius: 25px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        transition: .3s ease;
        z-index: 2;
    }

    .hamburger span:nth-child(1) {
        top: 25%;
    }

    .hamburger span:nth-child(3) {
        top: 75%;
    }

    .hamburger.active span {
        background-color: white;
    }

    .hamburger.active span:nth-child(1) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }

    #about-scottys,
    .text-uppercase,
    .details {
        font-size: 1em;
        margin: 0;
    }

    .coming-soon-container {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: 150px;
    }

    #coming-soon {
        margin-left: 5px;
        font-size: 40px;
        line-height: 50px;
    }

    #coming-soon li {
        font-size: 45px;
    }

    #coming-soon li span {
        line-height: 45px;
    }

    #bio {
        margin-top: 250px;
        font-size: 10px;
    }

    #googleMap {
        height: 100px;
    }

    .hide {
        display: none;
    }
}